<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net5.0-windows</TargetFramework>
    <LangVersion>9.0</LangVersion>
    <Nullable>disable</Nullable>
    <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
    <ApplicationIcon>ConsoleCalculator.ico</ApplicationIcon>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>WIN32;TRACE;RELEASE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>ConsoleCalculator.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>WIN32;TRACE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>ConsoleCalculator.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="5.0.0" />
    <Reference Include="CommonHelpers">
      <HintPath>..\..\..\Assemblies\.WIN32\CommonHelpers.dll</HintPath>
    </Reference>
    <Reference Include="CommonHelpers.2">
      <HintPath>..\..\..\Assemblies\.WIN32\CommonHelpers.2.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\..\.STANDARD\ConsoleCalculator\MainCode\**\*.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="*.cmd" />
    <None Remove="*.bak" />
  </ItemGroup>

</Project>
